package com.logicbig.example;

import org.springframework.context.support.ClassPathXmlApplicationContext;
import java.util.Currency;

public class XmlConfigExample {

    public static void main(String[] args) {
        ClassPathXmlApplicationContext context =
                new ClassPathXmlApplicationContext("spring-config.xml");
        Order order = context.getBean(Order.class);
        System.out.println(order);
        System.out.println("Currency symbol: "+order.getCurrency().getSymbol());
        System.out.println("Currency display name: "+order.getCurrency().getDisplayName());
    }

    static class Order{
      private double amount;
      private Currency currency;

        public double getAmount() {
            return amount;
        }

        public void setAmount(double amount) {
            this.amount = amount;
        }

        public Currency getCurrency() {
            return currency;
        }

        public void setCurrency(Currency currency) {
            this.currency = currency;
        }

        @Override
        public String toString() {
            return "Order{" +
                    "amount=" + amount +
                    ", currency=" + currency +
                    '}';
        }
    }
}